Name:		python-espeak
Version:	0.5
Release:	14%{?dist}
Summary:	Python 2 bindings for espeak

License:	GPLv3+
URL:		https://launchpad.net/python-espeak
Source0:	http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	espeak-devel
BuildRequires:	python2-devel
BuildRequires:	python3-devel

%description
Simple to use yet complete Python bindings for the eSpeak speech synthesizer.

%package -n python2-espeak
Summary:	Python 2 bindings for espeak
Requires:	espeak
%{?python_provide:%python_provide python2-espeak}

%description -n python2-espeak
Simple to use yet complete Python 2 bindings for the eSpeak speech synthesizer.

%package -n python3-espeak
Summary:	Python 3 bindings for espeak
Requires:	espeak
%{?python_provide:%python_provide python3-espeak}

%description -n python3-espeak
Simple to use yet complete Python 3 bindings for the eSpeak speech synthesizer.

%prep
%setup -q -n %{name}-%{version}
rm -rf python-espeak.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
chmod 0755 %{buildroot}%{python2_sitearch}/espeak/core.so

%py3_install
chmod 0755 %{buildroot}%{python3_sitearch}/espeak/core.cpython*.so

%files -n python2-espeak
%license COPYING
%doc NEWS
%{python2_sitearch}/espeak/
%{python2_sitearch}/python_espeak-%{version}-py%{python2_version}.egg-info

%files -n python3-espeak
%license COPYING
%doc NEWS
%{python3_sitearch}/espeak/
%{python3_sitearch}/python_espeak-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 08 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-13
- Add python2- subpackage
- Use %%license and modernize macros
- Do python2 install first so that they get overwritten by the python3 install
- Introduce %%python_provide
- Remove conditions for python3 build
- Drop Group tag

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.5-10
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Feb 18 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-6
- Adding missing Requires in Python 3 package

* Tue Feb 18 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-5
- Logic improved

* Tue Feb 11 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-4
- Added espeak Require in Python 3 package
- Fixed buildroot paths

* Sat Feb 08 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-3
- Creating %%{py3dir} in prep
- Adding versioned %%{python3_version} macro in %%files for Python 3 package

* Sat Jan 18 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-2
- Adding subpackage for Python 3
- Adding espeak as Requires
- Fixing files permisions
- Removing bundle egg in %%prep section

* Tue Jan 14 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.5-1
- Use versioned %%{_python2} macro
- Fixed Licence tag to GPLv3+
- Fixed URL tag

* Sat Jul 20 2013 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4-5
- Use %%{name} macro in Source

* Sat Jul 20 2013 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4-4
- Remove BuildRoot tag

* Thu Jul 18 2013 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4-3
- Remove gcc-c++ for BuildRequires
- Remove unneeded %%defattr

* Thu Jun 27 2013 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4-2
- Use %%{__python} macro in %%build section
- Remove for python-setuptools BuildRequires

* Mon Jun 24 2013 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.4-1 
- Initial packaging
